import request from '@/utils/request'

//third//
export const getEntityTree = (params) => {
  return request({
    url: '/point-strategy/v/classTree/selectTentityTypeByClassId',
    method: 'post',
    params
  })
}
export const getTentityType = (params) => {
  return request({
    url: '/point-strategy/v/tentityType/getTentityType',
    method: 'post',
    params
  })
}
export const updateTentityType = (data) => {
  return request({
    url: '/point-strategy/v/tentityType/updateTentityType',
    method: 'post',
    data
  })
}
export const deleteTentityType = (params) => {
  return request({
    url: '/point-strategy/v/tentityType/deleteTentityType',
    method: 'post',
    params
  })
}
//输入方式下拉框的值
export const getFindList = (params) => {
  return request({
    url: '/point-strategy/v/dict/findList',
    method: 'get',
    params
  })
}
//元数据方案下拉框
export const selectAllMetadataChineseName = () => {
  return request({
    url: '/point-strategy/v/metadataControl/selectAllMetadataPrimaryKey',
    method: 'post',
  })
}
//得到实体
export const getTentityStructByEntityId = (params) => {
  return request({
    url: '/point-strategy/v/tentityType/getTentityStructByEntityId',
    method: 'post',
    params
  })
}
export const saveTentityType = (data) => {
  return request({
    url: '/point-strategy/v/tentityType/saveTentityType',
    method: 'post',
    data
  })
}

//fourth///
export const getAllTentityTypeManyByClass = (data) => {
  return request({
    url: '/point-strategy/v/classTree/selectTentityTypeManyByClassId',
    method: 'post',
    data
  })
}
export const getEntity = params => {
  return request({
    url: '/point-strategy/v/tentityType/getTentityStructByEntityId',
    method: 'post',
    params
  })
}
//根据实体id查询表结构
export const getEntityTable = params => {
  return request({
    url: '/point-strategy/v/tableStructDescription/selectTableStructByEntityId',
    method: 'post',
    params
  })
}
//根据实体id查询实体信息
export const getPrimaryKey = params => {
  return request({
    url: '/point-strategy/v/tentityType/selectByPrimaryKey',
    method: 'post',
    params
  })
}
//新增或修改界面信息
export const sumbitNew = data => {
  return request({
    url: '/point-strategy/v/tentityInterface/saveOrUpdateTentityInterfaceSystem',
    method: 'post',
    data
  })
}
//根据实体entityId查询界面信息
export const getContent = params => {
  return request({
    url: '/point-strategy/v/tentityInterface/selectTentityInterfaceSystem',
    method: 'post',
    params
  })
}
//seven//
//查询元数据方案记录
export const getRecordList = params => {
  return request({
    url: '/point-strategy/v/metadataControl/getRecordList',
    method: 'post',
    params
  })
}
//新增元数据方案记录信息
export const insertRecord = data => {
  return request({
    url: '/point-strategy/v/metadataControl/insertRecord',
    method: 'post',
    data
  })
}
//修改更新元数据方案记录
export const updateRecord = data => {
  return request({
    url: '/point-strategy/v/metadataControl/updateRecord',
    method: 'post',
    data
  })
}
//修改更新元数据方案记录
export const deleteRecord = params => {
  return request({
    url: '/point-strategy/v/metadataControl/deleteRecord',
    method: 'post',
    params
  })
}

//根据选中的元数据方案，查询元数据方案详情记录
export const getRecordListTab = data => {
  return request({
    url: '/point-strategy/v/metadataStandardControl/getRecordList',
    method: 'post',
    data
  })
}
//根据选中的元数据方案，查询元数据方案详情记录
export const deleteRecordTab = params => {
  return request({
    url: '/point-strategy/v/metadataStandardControl/deleteRecord',
    method: 'post',
    params
  })
}
//根据选中的元数据方案，查询元数据方案详情记录
export const insertRecordTab = data => {
  return request({
    url: '/point-strategy/v/metadataStandardControl/insertRecord',
    method: 'post',
    data
  })
}
//修改更新元数据方案记录
export const updateRecordTab = data => {
  return request({
    url: '/point-strategy/v/metadataStandardControl/updateRecord',
    method: 'post',
    data
  })
}

//eight//
//获取四性检测标准
export const getFourCheckStandard = params => {
  return request({
    url: '/point-strategy/v/fourCheck/getFourCheckStandard',
    method: 'get',
    params
  })
}
//获取四性检测设置
export const getFourCheckSetting = data => {
  return request({
    url: '/point-strategy/v/fourCheck/getFourCheckSetting',
    method: 'post',
    data
  })
}
//条目四性检测
export const itemCheck = data => {
  return request({
    url: '/point-strategy/v/fourCheck/itemCheck',
    method: 'post',
    data
  })
}
//修改保存四性检测
export const updateFourCheckSetting = data => {
  return request({
    url: '/point-strategy/v/fourCheck/updateFourCheckSetting',
    method: 'post',
    data
  })
}
//复制实体
export const copyEntity = data => {
  return request({
    url: '/point-strategy/v/tentityType/copyEntity',
    method: 'post',
    data
  })
}

// 批量导出元数据标准
export const downExcel = params => {
  return request({
    url: '/point-strategy/v/metadataStandardControl/downExcel',
    method: 'get',
    params
  })
}

// 批量导入元数据标准
export const importExcel = data => {
  return request({
    url: '/point-strategy/v/metadataStandardControl/importExcel',
    method: 'post',
    data
  })
}

// 元数据日志导出
export const getMetadataLog = data => {
  return request({
    url: '/point-strategy/v/metadataLog/getMetadataLog',
    method: 'post',
    data
  })
}